pkgbinarymangler (156) plucky; urgency=medium

  * Remove handling and tests for /usr/share/doc/$PKG/buildinfo.gz files as
    dh-buildinfo is now a noop.
  * Do not depend on or invoke dh-buildinfo in test package.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 16 Dec 2024 11:06:07 +0100

pkgbinarymangler (155) plucky; urgency=medium

  * dh-translations: exclude meson-private when searching for build.ninja
    (lp: #2083303)
  * striptranslations.blacklist:
    - Add libwebkitgtk binary packages, the package builds several
      variants with different translations domain but the launchpad importer
      isn't able to tell them apart since they have the same template
      filename. New versions are also uploaded as a security update which
      could change the translation domain and invalid langpacks.
    - Don't strip the gnome-initial-setup translations. The initial config
      wizard should work in any language and not depend on the installed
      languages to be able to present a localized interface.

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Dec 2024 12:32:09 +0100

pkgbinarymangler (154) mantic; urgency=medium

  [ Grant Orndorff ]
  * striptranslations.blacklist: add ubuntu-pro-client-l10n, it will ship
    ubuntu-pro-client translations instead of langpacks

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 26 Sep 2023 16:43:29 +0200

pkgbinarymangler (153) mantic; urgency=medium

  * Generate POT files with GNOME’s version of metainfo.its
    (LP: #1927149)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 24 May 2023 16:42:26 +0200

pkgbinarymangler (152) lunar; urgency=medium

  [ Shengjing Zhu ]
  * pkgstripfiles: only strip debian changelog if debhelper hasn't done so.
    debhelper >= 13.10 strips debian changelog by default (LP: #2002871).

  [ Gunnar Hjalmarsson ]
  * Add VCS fields

 -- Shengjing Zhu <shengjing.zhu@canonical.com>  Mon, 20 Feb 2023 16:56:48 +0800

pkgbinarymangler (151) lunar; urgency=medium

  * dh_translations:
    - Drop the qx_meson_cmd function and use perl’s builtin qx instead
      (see https://bugs.debian.org/1028963 for the background).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 20 Jan 2023 00:11:17 +0100

pkgbinarymangler (150) lunar; urgency=medium

  * dh_translations:
    - After the latest debhelper change, the qx_cmd() function from
      Dh_Lib.pm does not work in the context in which it's used in
      dh_translations. So the previous qx_cmd() function has been
      copied into dh_translations under the name qx_meson_cmd()
      (LP: #2002845).
  * Failing tests disabled in test/run:
    - test_debian_changelog_truncation
    - test_native_changelog_truncation
    - test_ppa_debian_changelog

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sat, 14 Jan 2023 10:59:26 +0100

pkgbinarymangler (149) jammy; urgency=medium

  * Replace deprecated `which` usage with command -v.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 02 Nov 2021 13:50:39 +0000

pkgbinarymangler (148) impish; urgency=medium

  * Use dpkg --ctrl-tarfile to extract control files to avoid hardcoding the
    compression used to compress them and thus fix the tests after the switch
    zstd by default.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 11 Aug 2021 15:16:40 +1200

pkgbinarymangler (147) hirsute; urgency=medium

  * Break builds that ship non-executable initramfs-tools hooks.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 04 Mar 2021 10:43:41 +0000

pkgbinarymangler (146) groovy; urgency=medium

  [ Colin Watson ]
  * Use debhelper Dh_Lib instead of hardcoding our version.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Jun 2020 12:53:46 +0200

pkgbinarymangler (145) groovy; urgency=medium

  * No change rebuild against debhelper 13.1 with fixed Dh_Lib.pm file
    (Dh_Lib.pm and Dh_GetOpt.pm are copied and sed-ed during build)
  * Bump compat level to 13
  * Bump std-version to 4.5.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Jun 2020 12:37:18 +0200

pkgbinarymangler (144) disco; urgency=medium

  * Add Provides: dh-sequence-translations
  * Use $(DEB_VERSION) from pkg-info.mk instead of parsing dpkg-parsechangelog
  * Adapt dh_translations to meson 0.49 changing 'name' property
    to 'descriptive_name'

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 05 Feb 2019 10:05:37 -0500

pkgbinarymangler (143) cosmic; urgency=medium

  * Fix gnome-shell FTBFS due to inverse logic in meson build dir detection
    (LP: #1793476)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 20 Sep 2018 15:13:34 +0200

pkgbinarymangler (142) cosmic; urgency=medium

  * dh_translations, fix meson being picked even if not used as the build
    system (causing FTBFS on n-m-applet):
    - detect if a ninja build directory was found, otherwise, discare meson
      findings and let other build systems being tested.
    - follow the same code logic for setting meson as preferred, but only
      if domain wasn't found, instead of unconditionally overriding.
    - still prefer po/Makefile as first source
    - let people override it with dh{domain}

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 07 Sep 2018 08:26:55 +0200

pkgbinarymangler (141) cosmic; urgency=medium

  * pkgstripfiles: Serialize PNG optimization and changelog trucation using
    the lock already used for serializing creating symlinks for identical
    documentation files. (LP: #1782094)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 17 Jul 2018 10:03:52 +0200

pkgbinarymangler (140) cosmic; urgency=medium

  * pkgstripfiles: Skip symlinking identical documentation to not built
    packages, otherwise arch: any only builds may create symlinks which are
    not created when building arch: all and arch: any together. The mismatch
    between the symlinked and not symlinked files causes failure when trying
    to coinstall arch:any packages using multiarch.
    (LP: #1574351)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 13 Jul 2018 21:54:23 +0200

pkgbinarymangler (139) cosmic; urgency=medium

  * dh_translations:
    - Prevent domain confusion for Meson packages when a help-* domain
      is present (LP: #1762889).
    - Don't build help-*.pot. Those templates are used to build static
      localized XML pages, and we don't want to create LP templates and
      deal with exported LP translations for such pages anyway.
    - Allow the domain to be passed to dh_translations via an option in
      debian/rules.
    - Strip also Icon and Keywords translations in .desktop files.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 21 May 2018 12:51:24 +0100

pkgbinarymangler (138) bionic; urgency=medium

  * dh_builddeb: Don't lock for dbgsym packages; we don't act on them. Revert
    the previous upload, since we're now not processing dbgsym packages at
    all, and it was broken for automatic dbgsym packages which don't take this
    lock.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 20 Apr 2018 16:17:19 +0100

pkgbinarymangler (137) bionic; urgency=medium

  * Fix pkgstripfiles to not fail to clear the lock when processing dbgsym
    packages.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 19 Apr 2018 21:16:40 -0700

pkgbinarymangler (136) bionic; urgency=medium

  * dh_translations: Add support for meson / ninja projects. (LP: #1751820)

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 09 Apr 2018 17:23:47 +0100

pkgbinarymangler (135) bionic; urgency=medium

  [ Colin Watson ]
  * dh_builddeb: avoid using default TMPDIR because it might be used already by
    debian/rules (this fixes openshot-qt extra files in the final deb file)

  [ Gianfranco Costamagna ]
  * Bump std-version to 4.1.3, move priority to optional
  * Move to compat level 11

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Feb 2018 12:47:26 +0100

pkgbinarymangler (134) bionic; urgency=medium

  * Updated tests for the new dpkg which is generating files in the
    .tar.xz format instead of .tar.gz

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Feb 2018 11:07:45 +0100

pkgbinarymangler (132) bionic; urgency=medium

  * dh_translations:
    - Take into account alternative syntax in configure.ac, used in
      some packages, when grabbing translation domain (LP: #1688994).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 07 Feb 2018 11:10:00 +0100

pkgbinarymangler (131) yakkety; urgency=medium

  * Rebuild against current debhelper.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Oct 2016 08:40:53 +0200

pkgbinarymangler (130) yakkety; urgency=medium

  * pkgbinarymangler: Only accept X-Ubuntu-Use-Langpack: at the start of the
    line, to ignore commented-out lines.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 25 May 2016 08:18:59 +0200

pkgbinarymangler (129) xenial; urgency=medium

  * Rebuild against the merged debhelper.
  * Don't lock on -dbgsym packages; debhelper 9.20160115ubuntu1 still calls
    pkgstripfiles on -dbgsym packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Jan 2016 00:50:51 +0100

pkgbinarymangler (128) xenial; urgency=medium

  * pkgstripfiles (optimize_pngs): Honor whitespace in png file names.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Jan 2016 10:37:10 +0100

pkgbinarymangler (127) xenial; urgency=medium

  * pkgstripfiles (optimize_pngs): Fix quoting, remove debug messages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Jan 2016 23:50:39 +0100

pkgbinarymangler (125) xenial; urgency=medium

  * Allow dh_builddeb to run in parallel mode. Make sure that pkgstripfiles's
    symlink_doc is run in the right order.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Dec 2015 16:42:26 +0100

pkgbinarymangler (123) xenial; urgency=medium

  * Fix test failures, don't let dh_strip_nondeterminism touch the png files.
  * Avoid unittest warnings running the tests.
  * Parallelize png file optimizations.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 Dec 2015 23:14:50 +0100

pkgbinarymangler (122) wily; urgency=medium

  * test/run: Document build() method and clarify parameter name.
  * Add missing lockfile-progs build dependency.
  * Remove trailing whitespace in all files.
  * Stop failing nested package builds (packages calling dpkg-buildpackage for
    tests, etc.) on "inconsistent /CurrentlyBuilding file". This fixes FTBFS
    of debmake-doc, and also allows us to drop Ubuntu delta from some
    packages.
  * test/run: Fix PEP-8 issues.
  * test/run: Use modern assertions.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 23 Sep 2015 09:22:09 +0200

pkgbinarymangler (121) trusty; urgency=medium

  * pkgstripfiles: Count path components for ../ expansion on symlinks.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 27 Mar 2014 16:20:30 -0600

pkgbinarymangler (120) trusty; urgency=medium

  * pkgstripfiles: Fix escaping of % characters to also work with bash 4.3.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 18 Mar 2014 08:40:33 +0100

pkgbinarymangler (119) trusty; urgency=medium

  * Use "dpkg-deb --fsys-tarfile" instead of "ar p" in tests to extract files,
    to stop depending on gzip compression. Fixes test suite failures/FTBFS in
    current trusty.
  * Bump Standards-Version to 3.9.5 (no changes necessary).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Jan 2014 10:28:41 +0100

pkgbinarymangler (118) saucy; urgency=low

  * dh_translations: If ./CMakeLists.txt does not have the domain, check in
    po/CMakeLists.txt, too. (first half of LP: #1181187)
  * dh_translations: Accept more variations (whitespace, quotes or not) of
    setting GETTEXT_PACKAGE in cmake files. (second half of LP: #1181187)
  * Bump Standards-Version to 3.9.4, no changes necessary.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 17 May 2013 15:00:23 +0200

pkgbinarymangler (117) quantal; urgency=low

  * pkgstripfiles: Remove buildinfo_<arch>.gz files as well. Update test/run
    accordingly.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 25 Sep 2012 15:18:49 +0200

pkgbinarymangler (116) precise; urgency=low

  * pkgstriptranslations: change X-GNOME-Keywords to official Keywords
    (lp: #949849)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 08 Mar 2012 18:59:11 +0100

pkgbinarymangler (115) precise; urgency=low

  [ Felix Geyer ]
  * pkgstriptranslations: Fix updating of md5sums in gnome2_help() and
    mallard_help(). (LP: #930757)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Feb 2012 07:42:22 +0100

pkgbinarymangler (114) precise; urgency=low

  [ Felix Geyer ]
  * pkgstripfiles, symlink_doc(): Don't create symlinks that would point to
    the same package. (LP: #923343)
  * test/run: Add test_doc_symlink_dependency_cycle() to make sure that
    pkgstripfiles works correctly when there is a dependency cycle inside
    a source package.

  [ Martin Pitt ]
  * pkgstripfiles: Always update md5sum even if advpng fails. Also call advpng
    if optipng fails, to at least get some optimization. Thanks Felix Geyer!
    (LP: #923407)
  * pkgstripfiles: Do not truncate changelogs when they are in a different
    directory pointed to a symlink. Add corresponding test case which mimics
    the perl hack that it applies to its doc files. (LP: #923430)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 03 Feb 2012 06:36:35 +0100

pkgbinarymangler (113) precise; urgency=low

  * dh_translations: fixes previous issues harder (lp: #913085)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Jan 2012 17:06:18 +0100

pkgbinarymangler (112) precise; urgency=low

  * dh_translations:
    - strip out quotes from the gettext domain (lp: #913085)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Jan 2012 10:23:28 +0100

pkgbinarymangler (111) precise; urgency=low

  * small improvements to dh_translations:
    - close the correct file in the configure.ac case
    - try using configure.in after configure.ac, those are still common
    - get the gettext domain from config.h if possible, the configure.ac can
      use variables and reading from it would give the wrong value

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 05 Jan 2012 15:20:36 +0100

pkgbinarymangler (110) precise; urgency=low

  [ Martin Pitt ]
  * pkgstripfiles: Log how many seconds the PNG optimization took.
  * pkgstripfiles: Skip PNG optimization for -doc packages. They sometimes
    take an inordinate amount of build time and are much less important as we
    do not ship them on CD images.

  [ Evan Broder ]
  * pkgstriptranslations: Use a copy of the code from dh_link to make sure
    pkgstriptranslations creates symlinks compliant with Debian
    Policy. (LP: #899520)
  * test/run: Adjust tests to expect relative symlinks.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 12 Dec 2011 12:19:21 +0100

pkgbinarymangler (109) precise; urgency=low

  * striptranslations.blacklist: Fix libapt entries, these are regexps, not
    globs.
  * striptranslations.blacklist: Add update-notifier. (LP: #562900)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 30 Nov 2011 07:58:02 +0100

pkgbinarymangler (108) precise; urgency=low

  * test/run: Fix creation of local diversion "fake" symlink to also work when
    pkgbinarymangler <= 106 is installed (as on our buildds when we try to
    build >= 107 the first time).
  * debian/pkgbinarymangler.preinst: Remove obsolete conffile and diversion
    migration code. This was last relevant in edgy.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 29 Nov 2011 10:21:32 +0100

pkgbinarymangler (107) precise; urgency=low

  * test/run, test_doc_symlink(): Simplify installation of "Makefile".
  * test/run, test_doc_symlink(): Introduce some test library binary packages
    to check handling of transitive dependencies.
  * pkgstripfiles, symlink_doc(): If the link destination target is itself a
    link, resolve it to directly link to the final target instead of not
    symlinking the file at all.
  * test/run: Add new test cases test_doc_symlink_parallel_{fixed,unlimited}()
    which run the symlink test with DEB_BUILD_OPTIONS "parallel=4" and
    "parallel" respectively. Run through them three times as this is a race
    condition and does not trigger every time. This reproduces LP #893826.
  * Add dh_builddeb: Wrapper around the debhelper command which filters out
    the "parallel" option from $DEB_BUILD_OPTIONS. We must not run dpkg-deb in
    parallel as this breaks a predictable doc symlink structure which we
    require for multi-arch. (LP: #893826)
  * debian/pkgbinarymangler.install: Install dh_builddeb wrapper.
  * debian/pkgbinarymangler.{preinst,postrm}: Set up diversion for
    dh_builddeb.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 29 Nov 2011 10:00:54 +0100

pkgbinarymangler (106) precise; urgency=low

  * Move code for determining the location of the binary package control file,
    and its existence check into common, and simplify pkgmaintainermangler,
    pkgsanitychecks, and pkgstripfiles.
  * pkgstriptranslations: Stop iterating over all binary packages, just
    process the current one. Update an existing translation tarball if it
    already exists from a previous run. This greatly speeds up package builds
    with lots of binary packages. (LP: #890595) Also reorganize the code to
    put the different tasks into separate functions, so that it becomes
    easier to read. Drop the now obsolete stripping of XPI files.
  * With this version, haskell-dummy builds in finite time and succeeds.
    (LP: #890596)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 15 Nov 2011 16:00:12 +0100

pkgbinarymangler (105) precise; urgency=low

  * pkgstriptranslations: Also strip X-GNOME-Keywords. Add corresponding test
    case.
  * dh_translations: Also check configure.ac for GETTEXT_DOMAIN. (LP: #786632)
  * pkgstripfiles: First symlink identical doc files, then truncate Debian
    changelogs. Otherwise truncated changelogs will never be identical due to
    the added "please see apt-get changelog <pkgname>" line. In oneiric and
    before this got hidden because of a wrong exit code of zcmp, which has
    been fixed in gzip 1.4 in precise.
  * pkgstripfiles: As we truncate long Debian changelogs, and a packages'
    dependencies may not have been processed by pkgstripfiles yet, Debian
    changelogs are sometimes different at the tail. Debian changelogs are
    generally identical between binary packages anyway, but as there is the
    theoretical possibility of having a binary package specific one, do a
    comparison still, but only the topmost 20 lines.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 27 Oct 2011 14:54:41 +0200

pkgbinarymangler (104) oneiric; urgency=low

  * Add libapt-pkg* and libapt-inst* to the blacklist. LP: #855085

 -- Gabor Kelemen <kelemeng@ubuntu.com>  Thu, 22 Sep 2011 09:02:30 +0200

pkgbinarymangler (103) oneiric; urgency=low

  * debian/control: Drop Vcs-Bzr:, using ubuntu:pkgbinarymangler branch now
    (existing history was pushed there).
  * test/run: Add test_mallard_help() test case for the new-style
    /usr/share/help layout. Reproduces LP#841340.
  * pkgstriptranslations: Strip/symlink/save Mallard-style
    /usr/share/help/<locale>/<project>/ files. (LP: #841340)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 05 Sep 2011 11:44:58 +0200

pkgbinarymangler (102) oneiric; urgency=low

  * test/icecream/debian/rules, test/icecream/Makefile: Install PNGs with some
    defined permissions.
  * test/run, check_deb_integrity(): Verify that PNG permissions in the final
    debs are as they are expected to be.
  * pkgstripfiles: Restore permissions of optimized PNG files to their
    original value; advpng does not preserve them. (LP: #817792)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 21 Aug 2011 21:13:59 +0200

pkgbinarymangler (101) oneiric; urgency=low

  * pkgstriptranslations: Run apt-cache under env -u LD_PRELOAD to avoid
    running it under fakeroot. This now fails since fakeroot 1.16.1 (see
    Debian #629956 and Debian #630591).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Jun 2011 14:48:23 +0200

pkgbinarymangler (100) oneiric; urgency=low

  * test/run: Add forgotten check_deb_integrity() to documentation symlink
    tests. This catches the wrong md5sums of symlinked doc files.
  * pkgstripfiles: Remove doc files from md5sums which get replaced with a
    symlink. (LP: #795845)
  * test/run: Call check_deb_integrity() in build(), and remove the explicit
    call from all the individual tests. There is no situation where we expect
    broken debs to be created, so this saves us from accidentally forgetting
    to call it in newly created tests.
  * test/run: Drop separate check_translation_tarball() test, and integrate it
    into check_deb_mo(). We now want to move to only building translation
    tarballs for packages which we actually strip, so it does not make sense
    any more to check those two individually.
  * pkgstriptranslations: Do not build a translation tarball if we did not
    strip the packages. With that, Launchpad does not need to check the
    component of the package any more, but can just import everything we throw
    at it. This also allows us to put some selected universe packages under
    langpack support. (LP: #788685, part 1)
  * pkgstriptranslations: Force stripping and translation tarball build if
    debian/control has "X..-Ubuntu-Use-Langpack: yes" header. Add
    corresponding test case. (LP: #788685, part 2)
  * test/run: Fix ResourceWarnings for unclosed files. Python 3, you are
    overly picky!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Jun 2011 09:08:54 +0200

pkgbinarymangler (99) oneiric; urgency=low

  * dh-translations:
    - support CMake projects having a make .pot target with GETTEXT_PACKAGE

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 25 May 2011 20:30:04 +0200

pkgbinarymangler (98) oneiric; urgency=low

  * pkgstriptranslations: Don't break the build on empty po/pot files.
    Instead, just print a warning and exclude them from the translation
    tarball. Add corresponding test case.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 16 May 2011 16:42:50 +0200

pkgbinarymangler (97) oneiric; urgency=low

  * test/run, test_dh_translations_no_domain(): Explicitly specify UTF-8
    encoding for the opened files, so that the test case also succeeds with
    Python 3 under a C locale (such as on the buildds).
  * pkgstripfiles: Update dependency parsing code to adapt to the changed
    behavior of "split" in Perl 5.12.
  * debian/control: Bump Standards-Version to 3.9.2. No changes needed.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 06 May 2011 10:57:53 +0200

pkgbinarymangler (96) oneiric; urgency=low

  * pkgstripfiles: Symlink identical documentation to depending packages. This
    was ported from cdbs' debhelper.mk, but makes more sense here because more
    packages use dh7 these days, we want to reduce the cdbs delta to Debian,
    and we want to centralize all our Ubuntu specific package mangling to one
    place to reduce confusion. This can be suppressed by setting
    $NO_DOC_PKG_MANGLE, or $CDBS_NO_DOC_SYMLINKING for backwards
    compatibility. (First part of LP #595008)
  * pkgstriptranslations: Symlink identical GNOME help files (which often
    happens for images which are just copied verbatim from C, but are not
    actually translated). In the new test case for this also check that the
    static translation tarball is correct. This provides another Ubuntu
    specific general packaging change which previously was done in cdbs'
    debhelper.mk. (LP: #595008)
  * pkgstripfiles: Break down into separate functions, to make the code easier
    to read and maintain.
  * test/run: Simplify code with recently introduced sed_control() helper
    method.
  * test/run: Replace obsolete assert_() and failIf() calls with assertTrue()
    and assertFalse().
  * test/run, test/pickle_argv: Port to Python 3. Change build dependency from
    python to python3.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 06 May 2011 09:59:01 +0200

pkgbinarymangler (95) natty; urgency=low

  * Build-dep on intltool as needed for the testsuite
    (dh-translations binary package already depends on it)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 01 Apr 2011 00:03:47 +0200

pkgbinarymangler (94) natty; urgency=low

  * dh_translations:
    - support cmake package as there is no makefile in the po dir neither
      setup.cfg. Try to grep the domain from CMakeLists.txt and force it in the
      intltool call.
    - add the cmake testcase in test/run

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 30 Mar 2011 20:44:15 +0200

pkgbinarymangler (93) natty; urgency=low

  * When mangling changelogs, make sure to recompress with gzip -n;
    otherwise the resulting file is different for each build, so not
    compatible with multiarch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 18 Mar 2011 01:41:43 -0700

pkgbinarymangler (92) natty; urgency=low

  * Add debhelper script for handling translation operations. This makes it
    possible to have properly i18n'ed packages that don't use cdbs without
    introducing complicated build system changes. (LP: #735934)
    - test/icecream: Add po/ dir with an example po/*.po, *.desktop, *.server,
      *.policy, *.schemas files, and a Makefile which generates the pot.
    - Add dh_translations: debhelper script. Port the logic from
      /usr/share/cdbs/1/rules/langpack.mk.
    - test/run: Add test_dh_translations() test case.
    - debian/control, debian/dh-translations.install: Install dh_translations.
    - debian/rules: Build and install manpage from dh_translations POD.
  * test/icecream/debian/rules: Simplify using an override.
  * Add translations.pm: debhelper sequencer. Switch
    test/icecream/debian/rules to use --with translations instead of calling
    dh_translations directly. Point to local translations.pm in test/run
    setup.
  * dh_translations: Try getting domain from Python setup.cfg if po/Makefile
    does not exist.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 17 Mar 2011 12:25:09 +0100

pkgbinarymangler (91) natty; urgency=low

  * dpkg-deb: also skip parsing /CurrentlyBuilding and debian/control if
    NO_PKG_MANGLE is non-empty as e.g. grep-ing control might trigger warnings
    in some testsuites.

 -- Loïc Minier <loic.minier@linaro.org>  Wed, 19 Jan 2011 18:07:33 +0100

pkgbinarymangler (90) natty; urgency=low

  * test/icecream/debian/rules: Install a "changes" directory below
    /usr/share/doc/. This reproduces the build failure of texlive-extra.
  * pkgstripfiles: Only consider files which have a changelog-like name.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 22 Dec 2010 17:08:55 +0100

pkgbinarymangler (89) natty; urgency=low

  * pkgstripfiles: Games are prone to rely on a particular PNG image format,
    so skip PNG optimization for "Section: games". Add test case.
    (LP: #685421)
  * pkgstripfiles: Also skip PNG squashing if $NO_PNG_PKG_MANGLE is set; this
    allows packages to selectively disable PNG optimization without disabling
    the other parts of pkgbinarymangler. Add test case.
  * debian/control: Bump Standards-Version to 3.9.1 (no changes necessary).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 10 Dec 2010 10:50:46 +0100

pkgbinarymangler (88) natty; urgency=low

  * test/run: Use "foo%.png" instead of foo.png, to check that file names with
    percent signs are handled correctly. This reproduces LP #684569.
  * pkgstripfiles: Escape percent characters in file names, to avoid breaking
    the sed expression. (LP: #684569)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 09 Dec 2010 12:38:37 +0100

pkgbinarymangler (87) natty; urgency=low

  * Tweak shell syntax in dpkg-deb and also pass "$@" to pkgstriptranslations
    to simplify tests a bit.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 25 Nov 2010 15:37:40 +0100

pkgbinarymangler (86) natty; urgency=low

  [ Soren Hansen ]
  * Ensure arguments get passed through dpkg-deb wrapper unmangled.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 25 Nov 2010 15:28:14 +0100

pkgbinarymangler (85) natty; urgency=low

  * pkgstriptranslations: In truncated changelogs, point to "apt-get
    changelog" instead of the obsolete "apt-changelog". Update test cases
    accordingly.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 18 Nov 2010 16:15:29 +0100

pkgbinarymangler (84) natty; urgency=low

  * pkgstripfiles: Don't remove Debian changelogs if they are broken symlinks
    (as they are with multi-binary packages during build, since they point to
    the location in an installed system). Thanks Colin Watson!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 16 Nov 2010 13:01:03 +0100

pkgbinarymangler (83) natty; urgency=low

  * test/icecream: Install an additional symbolic link "foolink.png" to
    "foo.png".
  * test/run, check_deb_integrity(): Verify that foolink.png remains a
    symbolic link.
  * pkgstripfiles: Ignore symbolic links for PNG compression. They mess up the
    careful "symlink identical help files" work from pkgstriptranslations and
    actually lead to bigger packages.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 12 Nov 2010 13:18:49 +0100

pkgbinarymangler (82) natty; urgency=low

  * test/run: Fix "check for stripped files" test for PPA builds, we expect
    those to not get modified.
  * test/run: Check that changelogs in PPAs do not get truncated.
  * pkgstripfiles: Do not run for non-OEM PPA builds.
  * test/run: Add the same short/long checks for changelogs of native
    packages.
  * pkgstripfiles: For native packages, keep changelog.gz and truncate it like
    the Debian changelog.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 11 Nov 2010 13:14:09 +0100

pkgbinarymangler (81) natty; urgency=low

  * pkgstripfiles: Remove more changelog naming variants.
  * test/icecream/debian/changelog: Add a lot more older changelog entries,
    for testing the truncation.
  * test/run: Check that short Debian changelogs remain unaltered, and that
    long Debian changelogs are truncated to the topmost 10 records. In both
    cases changelog.Debian.gz must be present in the deb.
  * pkgstripfiles: Implement Debian changelog truncation as above. If we
    truncate, add a note at the end to run apt-changelog for the older
    entries.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 09 Nov 2010 18:43:49 +0100

pkgbinarymangler (80) natty; urgency=low

  * pkgstripfiles: Remove "ChangeLog.gz", too.
  * pkgstripfiles: Call advpng on PNG files after optipng, to further reduce
    their size. Add "advancecomp" build and binary dependencies.
  * test/run: Refine orig/new image comparison to ignore comments in the
    PNM files.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 05 Nov 2010 16:16:35 -0400

pkgbinarymangler (79) natty; urgency=low

  * test/icecream: Add and install a PNG file, and a JPEG file with a wrong
    .png suffix ("notapng.png").
  * debian/control: Add optipng dependency, and optipng/imagemagick build
    dependencies. (We'll need imagemagick for the test suite.)
  * test/run: Add test_optipng() for verifying that shipped PNGs are smaller
    than original and visually identical, and that non-PNGs are shipped
    unmodified.
  * pkgstripfiles: Call optipng on all PNG files, update md5sum if successful.
  * test/run: Move md5sums test from test_optipng() to check_deb_integrity(),
    so that it's run for all test cases.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 01 Nov 2010 13:11:43 -0400

pkgbinarymangler (78) natty; urgency=low

  * test/icecream/debian/rules: Enable dh_installchangelogs.
  * test/run: Verify that changelog.gz gets stripped from packages when
    mangling.
  * pkgstripfiles: Remove upstream and Debian changelogs from binary packages.
    This will save 28 MB on the CDs once all packages get rebuilt against this
    mangler. (performance-desktop-n-install-footprint blueprint)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 01 Nov 2010 09:02:52 -0400

pkgbinarymangler (77) natty; urgency=low

  * test/run: If dpkg-buildpackage fails, show the complete output, to ease
    diagnostics.
  * Add missing dh-buildinfo build dependency, required for selftests.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 12 Oct 2010 15:37:42 +0200

pkgbinarymangler (76) natty; urgency=low

  * striptranslations.blacklist: Add language-selector-common. (LP: #654548)
  * pkgstriptranslations: Fix OEM mode for changed apt-cache madison output in
    maverick.
  * test/icecream/debian/rules: Call dh_buildinfo and dh_md5sums, which are
    both very common in Debian/Ubuntu packages.
  * Add a new script "pkgstripfiles" for removing files which we don't want in
    Ubuntu packages:
    - Add pkgstripfiles: Remove buildinfo.gz from packages. These are now
      installed by default for cdbs, and for a lot of other packages. However,
      these just bloat the packages and installed system, and all the
      information they carry is in Launchpad's build logs.
    - dpkg-deb: Call pkgstripfiles.
    - stripfiles.conf: Configuration file for enabling/disabling.
    - test/run: Add new check_deb_stripfiles() check and integrate it into all
      existing test cases.
    - debian/pkgbinarymangler.install: Install script and conf file.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 12 Oct 2010 14:03:36 +0200

pkgbinarymangler (75) maverick; urgency=low

  * test/run: Add new method check_deb_integrity() which confirms that
    dpkg-deb can extract the generated debs without messages or errors. This
    catches the regression introduced in version 71 that broke apt. Call this
    from various test cases.
  * pkgstriptranslations: Filter out PPA entries from apt-cache madison
    entries. If the package is also in this or a depending PPA, that will
    cause a "main" entry.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 Jul 2010 09:04:19 +0200

pkgbinarymangler (74) maverick; urgency=low

  * pkgstriptranslations: Fix another typo. Bah.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 Jul 2010 12:10:22 +0200

pkgbinarymangler (73) maverick; urgency=low

  * test/run: Check precise format of generated Installed-Size:.
  * pkgstriptranslations: du splits with a tab, not a space, fix extraction of
    new size to not contain tabs.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 Jul 2010 12:01:16 +0200

pkgbinarymangler (72) maverick; urgency=low

  * Move identification/version string from dpkg-deb to pkgstriptranslations,
    having it in dpkg-deb also causes changed apt output (which is confusing).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 Jul 2010 11:53:13 +0200

pkgbinarymangler (71) maverick; urgency=low

  * dpkg-deb: Print identification and version number, to ease debugging of
    failed builds.
  * debian/rules: Insert current version number into dpkg-deb script.
  * test/run: Add test case for building a language pack, which must not be
    touched by pkgstriptranslations.
  * test/run: Ignore system apt sources, otherwise we'll break some tests if
    we run them in an OEM buildd environment.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 Jul 2010 09:59:00 +0200

pkgbinarymangler (70) maverick; urgency=low

  * Move "PPA" check from dpkg-deb to pkgmaintainermangler and
    pkgstriptranslations. We want to call pkgsanitychecks for PPA builds as
    well, and also control behaviour for PPAs individually for each mangler.
  * pkgstriptranslations: Run if we are building in an OEM PPA. If the built
    package is in Ubuntu main, strip translations from it. However, introduce
    a blacklist of OEM projects (oem_blacklist in striptranslations.conf)
    which are close or past release, to not inflict this rather intrusive
    change on them.
  * debian/control: Update Maintainer field from myself to Ubuntu Developers.
  * Add debian/source/format: 3.0 (native).
  * debian/control: Bump Standards-Version to 3.9.0.
  * Apply a consistent indentation to all source files (4 spaces, expand
    tabs).
  * dpkg-deb: Replace hardcoded paths with "which", to allow local testing.
  * Replace hardcoded "/CurrentlyBuilding" path with a $BUILDINFO variable set
    in "common", to allow local testing.
  * Add test/icecream: Test source package building two binary packages
    "vanilla" and "chocolate" with two po/mo files each.
  * Allow changing the path of "common" with $PKGBINARYMANGLER_COMMON_PATH.
  * Allow changing the configuration file directory path with
    $PKGBINARYMANGLER_CONF_DIR.
  * pkgmaintainermangler: Allow changing the path to the override file with
    $PKMAINTAINERGMANGLER_OVERRIDES.
  * Add test/run: Test suite for checking the scripts/config files in the
    local build tree in a sandbox on the "icecream" test package. Cover all
    current scenarios: main/universe/PPA/OEM/NO_PKG_MANGLE/partner/local/no
    mangler.
  * debian/rules: Run tests during build, and have a failed test suite fail
    the build. Add python and fakeroot build dependencies for this.
  * Add debian/pkgbinarymangler.lintian-overrides: We divert "dpkg-deb", no
    need to ship a manpage for it.
  * striptranslations.blacklist: Drop language-selector. (LP: #570240)
  * test/run: Add test case for updating of Installed-Size. This reproduces
    LP #451764.
  * pkgstriptranslations: Adapt Installed-Size: header in control file if we
    stripped any files. (LP: #451764)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 09 Jul 2010 09:19:44 +0200

pkgbinarymangler (69) lucid; urgency=low

  * pkgstriptranslations: Work on all binary packages, not just the first one.
    If a static tarball already exists, unpack it into our work directory, so
    that we merge the GNOME help files of all binary packages. (LP: #457027)
  * debian/control: Bump Standards-Version to 3.8.4 (no changes necessary).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 09 Apr 2010 08:32:14 +0200

pkgbinarymangler (68) lucid; urgency=low

  * Looks like a .bzrignore in the bzr branch made a few useful files disappear
    in the last upload. Re-upload the change manually basing on version 66.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 18 Jan 2010 20:53:18 -0500

pkgbinarymangler (67) lucid; urgency=low

  * Add ldm to the striptranslations blacklist.
    (Only installed in a chroot with no langpack but translation wanted)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 18 Jan 2010 17:28:38 -0500

pkgbinarymangler (66) lucid; urgency=low

  * Add Vcs-Bzr header; this is now in Bzr at
    lp:~ubuntu-core-dev/pkgbinarymangler/ubuntu.
  * Install conffiles, binaries, and data file with dh_install.
  * List man pages in debian/pkgbinarymangler.manpages instead of the
    dh_installman command-line.
  * Switch to dh in rules; bump debhelper build-dep to >= 7.
  * Make maintainer scripts slightly more robust.
  * common: skip tests on /CurrentlyBuilding if PKG_IGNORE_CURRENTLY_BUILDING
    is set to 1; this is particularly useful when a package builds launches an
    embedded package build, such as the testsuite of pkg-create-dbgsym.
    Ideally, we'd have a nicer way to sanity check the same information.
  * Bump up Standards-Version to 3.8.3.
  * Add ${misc:Depends}.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sat, 16 Jan 2010 13:25:18 +0100

pkgbinarymangler (65) lucid; urgency=low

  * Add xkb-data-i18n to the striptranslations blacklist.

 -- Evan Dandrea <evand@ubuntu.com>  Mon, 11 Jan 2010 11:35:06 +0000

pkgbinarymangler (64) lucid; urgency=low

  * pkgstriptranslations: Do not copy .pc/* into the translation tarball.
    (LP: #410658)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 15 Nov 2009 05:52:17 -0600

pkgbinarymangler (63) karmic; urgency=low

  * pkgstriptranslations:
    - Use # instead of @ for the sed delimiter as @ can appear in locale
      names (lp: #434544)

 -- Michael Bienia <geser@ubuntu.com>  Tue, 22 Sep 2009 11:06:59 +0200

pkgbinarymangler (62) karmic; urgency=low

  * pkgstriptranslations:
    - Also store /usr/share/omf/ files in static translation tarball.
    - Remove GNOME help translation files now, and replace them with symlinks
      to /usr/share/omf-langpack/* and usr/share/gnome/help-langpack/*.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 30 Aug 2009 12:39:06 +0200

pkgbinarymangler (61) karmic; urgency=low

  * pkgstriptranslations: Extract GNOME help translations into a new tarball
    and add them to the upload as raw-translations-static component. Do not
    strip the files from the .debs just yet, since the upload/download
    infrastructure in Soyuz still needs to be tested, and the language pack
    integration bits need to be written. See LP #123020
  * debian/compat, debian/control: Bump to debhelper compat 5, 4 is
    deprecated.
  * debian/control: Bump Standards-Version to 3.8.2.
  * debian/control: Drop long-obsolete Replaces.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 03 Aug 2009 12:59:52 +0100

pkgbinarymangler (60) karmic; urgency=low

  * pkgbinarymangler: Update package's md5sums list for modified .desktop
    files. (LP: #392149)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 25 Jun 2009 17:55:59 +0200

pkgbinarymangler (59) karmic; urgency=low

  * Modify Maintainer field overriding to comply with Technical Board
    resolution of 2009-05-05, with a single override for all components
    (https://lists.ubuntu.com/archives/ubuntu-devel/2009-May/028213.html).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Jun 2009 11:15:13 +0100

pkgbinarymangler (58) karmic; urgency=low

  * pkgsanitychecks: Skip udebs, since our checks aren't very interesting
    for them (sysadmin with local changes to the installer environment that
    they want preserved ...?) and there's one udeb (rootskel-gtk) that
    currently ships a /usr/local/etc symlink.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 06 May 2009 10:07:30 +0100

pkgbinarymangler (57) jaunty; urgency=low

  * pkgstriptranslations: When grabbing XPIs from Mozilla-ish packages, ensure
    that the /source/ directory exists in the temporary directory. Fixes
    xulrunner FTBFS.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 27 Mar 2009 16:17:34 +0100

pkgbinarymangler (56) jaunty; urgency=low

  * pkgstriptranslations: Remove translations from .desktop files if they have
    a gettext domain. Not every package with .desktop files uses cdbs with
    langpack.mk (where this stripping has happened so far), and we are now
    preferring the language pack translations over the static upstream
    translations in .desktop files. (LP: #348225)
  * debian/copyright: Update GPL stanza (previously had old FSF address),
    thanks lintian.
  * debian/control: Bump Standards-Version (no changes required).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 25 Mar 2009 10:28:45 +0100

pkgbinarymangler (55) jaunty; urgency=low

  * pkgsanitychecks: Reject packages which place files in /usr/local.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Mar 2009 11:59:35 +0100

pkgbinarymangler (54) jaunty; urgency=low

  * pkgsanitychecks: Reject packages which place public python modules for 2.6
    or newer in /usr/local/lib/python{2.[67],3.?} instead of /usr/lib.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Feb 2009 13:25:13 +0100

pkgbinarymangler (53) jaunty; urgency=low

  * common: Do not FTBFS if debian/control does not exist. This is *very*
    uncommon, but it happens while building with pbuilder (LP: #315101).

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Tue, 17 Feb 2009 23:01:40 +0100

pkgbinarymangler (52) jaunty; urgency=low

  * pkgstriptranslations: Use a lockfile to ensure that only one
    instance runs at a time. Some packages, such as glib2.0, define
    MAKEFLAGS=-j if "$DEB_BUILD_OPTIONS=parallel" is set (apparently
    at the Ubuntu buildds); this makes debian/rules, and in turn
    pkgstriptranslations run in parallel as well, which produced
    corrupted translations.tar.gz tarballs.
  * Add lockfile-progs dependency.
  * Drop long-obsolete pkgstriptranslations transitional package.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 09 Feb 2009 09:49:17 +0100

pkgbinarymangler (51) jaunty; urgency=low

  * New binary pkgsanitychecks.
    - Reject packages which place public python modules for 2.6 or newer in
      /usr/lib/python{2.[67],3.?}/site-packages instead of dist-packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Jan 2009 11:18:27 +0100

pkgbinarymangler (50) hardy; urgency=low

  * pkgstriptranslations: Copy debian/lp-export-xpis/, for finally getting LP
    translations love for Mozilla-ish packages.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 27 Mar 2008 12:18:04 +0100

pkgbinarymangler (49) hardy; urgency=low

  * pkgmaintainermangler: Do not fail the build if DEBIAN/control does not
    exist. This apparently happens under some conditions, like for
    openoffice.org on powerpc. (LP: #205923)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 26 Mar 2008 16:46:13 +0100

pkgbinarymangler (48) hardy; urgency=low

  * striptranslations.conf: Do not strip packages in restricted. Putting the
    translations into language packs could possibly create a licensing
    conflict. We do not have any in restricted right now, but we want to be
    safe.
  * Bump Standards-Version to 3.7.3 (no changes necessary).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 28 Feb 2008 17:27:14 +0100

pkgbinarymangler (47) hardy; urgency=low

  * dpkg-deb: Also disable pkgbinarymangler if archive Purpose is PPA.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 18 Dec 2007 15:58:29 -0700

pkgbinarymangler (46) hardy; urgency=low

  * dpkg-deb: Don't act when doing archive rebuild tests.  This change
    requires a modified sbuild that writes Suite to /CurrentlyBuilding

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 14 Dec 2007 15:04:29 -0700

pkgbinarymangler (45) gutsy; urgency=low

  * maintainermangler.overrides: Do not mangle Maintainer: for Patrick
    Matthäi. (LP: #134694)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 13 Sep 2007 22:39:30 +0200

pkgbinarymangler (44) gutsy; urgency=low

  * dpkg-deb: s/commercial/partner/g.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 03 Sep 2007 09:54:25 +0200

pkgbinarymangler (43) gutsy; urgency=low

  * dpkg-deb: Do not do anything for commercial packages.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 20 Aug 2007 11:37:30 +0200

pkgbinarymangler (42) gutsy; urgency=low

  * debian/rules: Build with NO_PKG_MANGLE to pull ourselves out of the FTBFS
    swamp version 40 has created.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 08 Aug 2007 19:46:59 +0200

pkgbinarymangler (41) gutsy; urgency=low

  * dpkg-deb: Use the original arguments for calling pkgmaintainermangler,
    too.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 08 Aug 2007 19:18:20 +0200

pkgbinarymangler (40) gutsy; urgency=low

  * Fix the dpkg-deb wrapper to deal with being fed other arguments
    like, for instance, -Zbzip2 before "--build" or "-b" is supplied.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed,  8 Aug 2007 20:41:40 +1000

pkgbinarymangler (39) feisty; urgency=low

  * pkgstriptranslations: Collect .ts files (KDE XML translation source
    format). (LP: #68959)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 27 Mar 2007 20:24:16 +0200

pkgbinarymangler (38) feisty; urgency=low

  * pkgmaintainermangler: Never abort if Original-Maintainer is already
    present, even if Maintainer: does not have an Ubuntuish address.
    (LP: #91086)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 12 Mar 2007 12:06:54 +0100

pkgbinarymangler (37) feisty; urgency=low

  * maintainermangler.overrides: Don't mangle @kubuntu.org domain.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri,  9 Mar 2007 14:52:34 +0100

pkgbinarymangler (36) feisty; urgency=low

  * maintainermangler.overrides: Use u-devel-discuss@ as default contact for
    main/restricted.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 19 Feb 2007 13:16:36 +0100

pkgbinarymangler (35) feisty; urgency=low

  * pkgstriptranslations: Do not complain about empty .po/.pot files in hidden
    directories (such as quilt's ./.pc). Fixes the shadow FTBFS.

 -- Martin Pitt <mpitt@debian.org>  Tue, 19 Dec 2006 19:32:58 +0100

pkgbinarymangler (34) feisty; urgency=low

  The "Make doko love me again" release.

  * pkgstriptranslations:
    - Since we can now afford losing *.mo files, only create the translation
      tarball once, and don't update it if it already exists. This massively
      speeds up the process especially for large packages like openoffice.org.
    - Various small optimizations.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 12 Dec 2006 15:57:05 +0100

pkgbinarymangler (33) feisty; urgency=low

  * Add cjwatson@debian.org to ignore_emails, per request of Colin Watson.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri,  8 Dec 2006 23:43:30 +1100

pkgbinarymangler (32) feisty; urgency=low

  * Add ubuntu.com.au to the ignore_domains list, per William Grant.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri,  8 Dec 2006 23:32:24 +1100

pkgbinarymangler (31) edgy; urgency=low

  * Add q-funk@iki.fi to ignore_emails, per request of Martin-Éric Racine

 -- Adam Conrad <adconrad@ubuntu.com>  Wed,  4 Oct 2006 21:09:20 +1000

pkgbinarymangler (30) edgy; urgency=low

  * Use Original-Maintainer instead of X-Original-Maintainer as if we
    had specified XB-Original-Maintainer in a policy-compliant fashion.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 20 Sep 2006 00:05:42 +1000

pkgbinarymangler (29) edgy; urgency=low

  * pkg{maintainermangler,striptranslations}.1: Document NO_PKG_MANGLE
    environment variable. (one part of LP#40735)
  * pkgmaintainermangler.1: Fix program name in AUTHOR section.
  * pkgstriptranslations: Do not strip backports. Closes: LP#58221

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 12 Sep 2006 14:22:33 +0200

pkgbinarymangler (28) edgy; urgency=low

  * Rename source package to pkgbinarymangler, providing a transitional
    upgrade path from pkgstriptranslations to the new pkgbinarymangler.
  * New binary package pkgbinarymangler now provides two distinct scripts,
    pkgstriptranslations, which does the same thing it always did, and
    pkgmaintainermangler, which is used to mangle maintainer fields.
  * Migrate /etc/pkgstriptranslations conffiles to /etc/pkgbinarymangler.
  * Migrate dpkg diversion from pkgstriptranslations to pkgbinarymangler.
  * Update debian/copyright to add myself to the list of authors, and
    update debian/control to add myself to the list of Uploaders.
  * Re-factor some common code into /usr/share/pkgbinarymangler/common.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed,  6 Sep 2006 22:27:59 +1000

pkgstriptranslations (27) dapper; urgency=low

  * If NO_PKG_MANGLE is set and non-empty, don't run pkgstriptranslations
    for the current dpkg-deb invocation, but print a warning so we know.
  * Clean up error handling for when /usr/bin/pkgstriptranslations doesn't
    exist, so we actually get a meaningful error and failure, not silence.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri,  7 Apr 2006 19:05:21 +1000

pkgstriptranslations (26) dapper; urgency=low

  * Check for empty PO or POT files and fail the build if any are detected
    (the translation importer doesn't like them, and in general this is likely
    to be a bug). Closes: LP#33674
  * dpkg-deb:
    - 'exec -a' is a bashism, so fix the hashbang line.
    - Activate set -e to actually fail the package build if
      pkgstriptranslations fails.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu,  6 Apr 2006 13:28:31 +0200

pkgstriptranslations (25) dapper; urgency=low

  * Blacklist language-selector, so people can select their language
    in their own language (I suppose this does make some sense...)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 31 Mar 2006 21:13:06 +1100

pkgstriptranslations (24) dapper; urgency=low

  * Fix package name for *.sdf stripping: openoffice.org2 -> openoffice.org

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 14 Mar 2006 18:32:52 +0100

pkgstriptranslations (23) dapper; urgency=low

  * Pull the trigger for Soyuz-Rosetta integration: Call dpkg-distaddfile to
    include the translation tarball into the .changes file.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 24 Feb 2006 22:56:56 +0100

pkgstriptranslations (22) dapper; urgency=low

  * Strip the epoch from the version number, so that it doesn't appear in the
    translation tarball file name.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 22 Feb 2006 15:55:10 +0100

pkgstriptranslations (21) dapper; urgency=low

  * pkgstriptranslations.blacklist: Remove passwd and base-config, with the
    new single-stage installer they can be stripped again.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 23 Jan 2006 11:25:49 +0100

pkgstriptranslations (20) dapper; urgency=low

  * Install a dpkg-deb wrapper which calls pkgstriptranslations before
    calling dpkg-deb, so we can remove our hideous hack from debhelper.
  * Fix manpage to note the correct arch-in-name tarball naming scheme.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 26 Oct 2005 04:13:45 +1000

pkgstriptranslations (19) dapper; urgency=low

  * Previous upload was too quick; deactivate dpkg-distaddfile until we switch
    to launchpad.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 25 Oct 2005 07:19:21 +0200

pkgstriptranslations (18) dapper; urgency=low

  * Call dpkg-distaddfile to include the translation tarball into the .changes
    file.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 19 Oct 2005 13:40:27 +0200

pkgstriptranslations (17) breezy; urgency=low

  * Blacklist apt.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed,  5 Oct 2005 14:36:06 +0200

pkgstriptranslations (16) breezy; urgency=low

  * Blacklist debconf-i18n.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed,  7 Sep 2005 23:05:43 +0200

pkgstriptranslations (15) breezy; urgency=low

  * Append the architecture to the tarball so that we can export tarballs from
    all architectures and later sort out the invalid ones. Until now, the
    latest tarball always won, which overwrote good tarballs with broken ones
    sometimes.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 26 Aug 2005 16:01:06 +0200

pkgstriptranslations (14) breezy; urgency=low

  * If we are stripping the openoffice.org2 source package, save debian/*.sdf
    for later merging of updated translations.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 11 Aug 2005 18:01:48 +0200

pkgstriptranslations (13) breezy; urgency=low

  * pkgstriptranslations.blacklist: Remove kde-i18n-*, KDE translations will
    move into language-pack-kde-<lang> (LanguagePackRoadmap).

 -- Martin Pitt <mpitt@debian.org>  Thu, 16 Jun 2005 12:08:29 +0200

pkgstriptranslations (12) breezy; urgency=low

  * Improved debugging messages to ease future bug fixing.
  * Fixed preservation of old tarball contents.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 13 Jun 2005 12:43:03 +0200

pkgstriptranslations (11) breezy; urgency=low

  * Appended an "|| true" to the empty directory cleaning command to work
    around an annoying find bug (or new feature?) introduced in Breezy.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 11 Jun 2005 20:02:44 +0200

pkgstriptranslations (10) breezy; urgency=low

  * Separated blacklist from main configuration file to
    pkgstriptranslations.blacklist. This allows us to update it with uploads
    rather than manual tweakings.
  * Blacklist dpkg.
  * pkgstriptranslations:
    - Ignore "nostrip" option in pkgstriptranslations.conf and only process
      the list in pkgstriptranslations.blacklist.
    - Support regular expressions in the blacklist. This greatly cuts down the
      size of the list and makes it much more robust with e. g. new kde-i18n-*
      packages.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu,  9 Jun 2005 15:41:13 +0200

pkgstriptranslations (9) hoary; urgency=low

  * Do not overwrite tarballs from previous invocations, add their contents
    instead. This fixes mo file extraction for multi-binary packages.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun,  6 Mar 2005 18:07:21 +0100

pkgstriptranslations (8) hoary; urgency=low

  * Implemented new specification:
    - Do not produce domains.txt.
    - Copy po/pot files into tarball subdirectory source/.
    - Copy per-deb mo files into tarball subdirectory <debname>/.
  * Cleaned up debug messages.
  * Removed function debug(), it was hardly used any more.
  * Updated manpage.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu,  3 Mar 2005 15:29:17 +0100

pkgstriptranslations (7) hoary; urgency=low

  * Support new configuration option "nostrip" with a blacklist of binary
    packages (preconfigured for "base-config" and "passwd" which are used at
    installation time when no langpack is already present).
  * Bug fix: Only remove the mo files from md5sum files if we actually
    stripped them.
  * Also strip packages if there is no /CurrentlyBuilding.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 23 Feb 2005 10:38:33 +0100

pkgstriptranslations (6) hoary; urgency=low

  * Generate a list of all translation domains and put them as 'domains.txt'
    into the translation tarball.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 27 Jan 2005 17:11:08 +0100

pkgstriptranslations (5) hoary; urgency=low

  * Added new option "invalid_currentlybuilding" which configures whether an
    existing, but invalid /CurrentlyBuilding file is ignored (default) or
    causes the build to fail (should happen on the buildds).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 25 Jan 2005 12:54:33 +0100

pkgstriptranslations (4) hoary; urgency=low

  * Do not strip/extract language packs.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 19 Jan 2005 19:07:38 +0100

pkgstriptranslations (3) hoary; urgency=low

  * Added support for creating a tarball of all pot/po files (with
    configuration option "posuffix").
  * Added configuration option "components" which restricts the mo file
    deletion to some components only (default: main and restricted) if
    a file /CurrentlyBuilding is present (as on the buildds).
  * Remove mo file entries from md5sums files.

 -- Martin Pitt <martin.pitt@canonical.com>  Fri, 14 Jan 2005 20:15:50 +0100

pkgstriptranslations (2) hoary; urgency=low

  * Don't strip packages in section 'debian-installer' which cannot be
    translated using language packs.

 -- Martin Pitt <martin.pitt@canonical.com>  Wed,  5 Jan 2005 11:39:37 +0100

pkgstriptranslations (1) hoary; urgency=low

  * Initial Release.

 -- Martin Pitt <martin.pitt@canonical.com>  Tue, 21 Dec 2004 18:46:54 +0100
